public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/gpodder/
Date: Tue, 31 May 2022 11:20:20 +0000 (UTC)	[thread overview]
Message-ID: <1653996006.af1b429fe4bafcc7377b5bbba414068ef7ba3fb3.sam@gentoo> (raw)

commit:     af1b429fe4bafcc7377b5bbba414068ef7ba3fb3
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Tue May 31 11:18:15 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Tue May 31 11:20:06 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=af1b429f

media-sound/gpodder: add Python 3.10, fix tests

Closes: https://bugs.gentoo.org/846065
Closes: https://bugs.gentoo.org/795165
Signed-off-by: Sam James <sam <AT> gentoo.org>

 media-sound/gpodder/gpodder-3.10.21-r1.ebuild | 80 +++++++++++++++++++++++++++
 1 file changed, 80 insertions(+)

diff --git a/media-sound/gpodder/gpodder-3.10.21-r1.ebuild b/media-sound/gpodder/gpodder-3.10.21-r1.ebuild
new file mode 100644
index 000000000000..1732c1c4dc72
--- /dev/null
+++ b/media-sound/gpodder/gpodder-3.10.21-r1.ebuild
@@ -0,0 +1,80 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{8..10} )
+PYTHON_REQ_USE="sqlite"
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_SETUPTOOLS=no
+
+inherit distutils-r1 optfeature xdg
+
+DESCRIPTION="A free cross-platform podcast aggregator"
+HOMEPAGE="https://gpodder.github.io/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="+dbus bluetooth mtp"
+
+# As in Fedora: re-enable >=dev-python/eyeD3-0.7[${PYTHON_USEDEP}] and
+# ipod? ( media-libs/libgpod[python,${PYTHON_USEDEP}] ) once they
+# support python3
+COMMON_DEPEND="
+	$(python_gen_cond_dep '
+		dev-python/html5lib[${PYTHON_USEDEP}]
+		dev-python/pycairo[${PYTHON_USEDEP}]
+		>=dev-python/pygobject-3.22.0:3[${PYTHON_USEDEP}]
+		>=dev-python/podcastparser-0.6.0[${PYTHON_USEDEP}]
+		>=dev-python/mygpoclient-1.8[${PYTHON_USEDEP}]
+		dev-python/requests[${PYTHON_USEDEP}]
+		dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+	')
+	bluetooth? ( net-wireless/bluez )
+	mtp? ( >=media-libs/libmtp-1.0.0:= )
+"
+RDEPEND="${COMMON_DEPEND}
+	kernel_linux? ( sys-apps/iproute2 )
+"
+DEPEND="${COMMON_DEPEND}
+	dev-util/desktop-file-utils
+	dev-util/intltool
+	sys-apps/help2man
+	test? (
+		$(python_gen_cond_dep '
+			dev-python/minimock[${PYTHON_USEDEP}]
+			dev-python/pytest-httpserver[${PYTHON_USEDEP}]
+		')
+	)
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	default
+
+	sed -i -e 's:--cov=gpodder::' makefile || die
+}
+
+python_test() {
+	# These are pulled out from the Makefile to give us more control
+	# See bug #795165
+	# Previously, we used 'emake releasetest' in src_test
+	LC_ALL=C epytest --ignore=tests --ignore=src/gpodder/utilwin32ctypes.py --doctest-modules src/gpodder/util.py src/gpodder/jsonconfig.py \
+		-p no:localserver
+	LC_ALL=C epytest tests --ignore=src/gpodder/utilwin32ctypes.py --ignore=src/mygpoclient \
+		-p no:localserver
+}
+
+src_install() {
+	emake PYTHON="${EPYTHON}" DESTDIR="${D}" install
+	distutils-r1_src_install
+}
+
+pkg_postinst() {
+	xdg_pkg_postinst
+
+	optfeature "for the youtube-dl extension" net-misc/youtube-dl
+}


             reply	other threads:[~2022-05-31 11:20 UTC|newest]

Thread overview: 39+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-31 11:20 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-22 21:19 [gentoo-commits] repo/gentoo:master commit in: media-sound/gpodder/ Arthur Zamarin
2025-03-22 21:16 Arthur Zamarin
2025-03-22 21:14 Sam James
2024-11-06  7:50 Miroslav Šulc
2023-11-02  6:50 Miroslav Šulc
2023-11-01 12:23 Arthur Zamarin
2023-10-12  8:08 Miroslav Šulc
2023-10-01  8:16 Miroslav Šulc
2023-09-16 11:53 Miroslav Šulc
2023-09-15  8:43 Sam James
2023-08-15  9:13 Miroslav Šulc
2023-03-23  6:59 Miroslav Šulc
2023-03-22  6:00 Sam James
2023-02-19  8:15 Miroslav Šulc
2023-01-24 13:32 Ionen Wolkens
2022-09-06  4:12 Miroslav Šulc
2022-09-05 14:01 Agostino Sarubbo
2022-07-31  9:26 Sam James
2022-07-31  8:27 Sam James
2022-06-08  7:24 Miroslav Šulc
2022-06-07  9:39 Sam James
2022-06-07  9:39 Sam James
2022-06-01 12:04 Jakov Smolić
2021-07-21  6:11 Miroslav Šulc
2021-07-11  6:25 Miroslav Šulc
2021-06-10  4:08 Sam James
2021-06-10  3:54 Sam James
2021-06-10  3:54 Sam James
2020-10-07  8:12 Miroslav Šulc
2020-10-01  8:37 Miroslav Šulc
2020-08-31  7:05 Miroslav Šulc
2020-08-30  9:56 Miroslav Šulc
2020-01-26 16:54 Andreas Sturmlechner
2018-11-11 16:31 Pacho Ramos
2016-10-28 17:12 Pacho Ramos
2016-10-16 14:07 Patrick Lauer
2016-10-16 10:22 Pacho Ramos
2016-10-16 10:22 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1653996006.af1b429fe4bafcc7377b5bbba414068ef7ba3fb3.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox